using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Wilson.TemplatesDesign
{
	public class HomePage : Wilson.TemplatesDesign.BasePage
	{
		protected System.Web.UI.WebControls.TextBox txtValue;
		protected System.Web.UI.WebControls.Button btnSubmit;
		protected System.Web.UI.WebControls.Label lblResult;

		public HomePage() {
			// Set PageTitle in Constructor, before OnInit.
			this.PageTitle = "Design Demo";
		}
	
		private void Page_Load(object sender, System.EventArgs e) {
			// This is just Trivial Content for the Demo.
			if (!this.IsPostBack) {
				lblResult.Text = "Enter Value and Submit";
			}
		}

		private void btnSubmit_Click(object sender, System.EventArgs e) {
			// This is just Trivial Content for the Demo.
			lblResult.Text = "Result: " + txtValue.Text;
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e) {
			InitializeComponent();
			base.OnInit(e);
		}
		
		private void InitializeComponent() {    
			this.btnSubmit.Click += new System.EventHandler(this.btnSubmit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
